Bug 1431228 - very slow update of host properties in RHEVM that has a cluster with 30 hosts and 40 networks
Summary: very slow update of host properties in RHEVM that has a cluster with 30 hosts...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Nobody
QA Contact: Mor
URL:
Whiteboard:
Depends On: 1431412
Blocks: 1431188 1436972
TreeView+ depends on / blocked
 
Reported: 2017-03-10 16:29 UTC by Douglas Schilling Landgraf
Modified: 2020-05-14 15:44 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1436972 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:41:09 UTC
oVirt Team: Scale
Target Upstream Version:
rgolan: testing_plan_complete?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2967901 0 None None None 2017-03-15 03:29:35 UTC
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:42:35 UTC
oVirt gerrit 73990 0 'None' MERGED engine: add active hosts caching in NetworkClusterHelper 2020-07-28 07:04:08 UTC
oVirt gerrit 73991 0 'None' MERGED engine: reuse preliminarily loaded host object in HostNicsUtil 2020-07-28 07:04:08 UTC
oVirt gerrit 73992 0 'None' MERGED engine: update commands to use the new networkClusterHelper.setStatus 2020-07-28 07:04:08 UTC
oVirt gerrit 74081 0 'None' MERGED engine: remove redundant load of NetworkCluster's in UpdateVdsCommand 2020-07-28 07:04:08 UTC
oVirt gerrit 74082 0 'None' MERGED engine: add active hosts caching in NetworkClusterHelper 2020-07-28 07:04:07 UTC
oVirt gerrit 74083 0 'None' MERGED engine: reuse preliminarily loaded host object in HostNicsUtil 2020-07-28 07:04:07 UTC
oVirt gerrit 74084 0 'None' MERGED engine: update commands to use the new networkClusterHelper.setStatus 2020-07-28 07:04:07 UTC
oVirt gerrit 74334 0 'None' MERGED engine: use vdsDynamicDao instead of vdsDao 2020-07-28 07:04:06 UTC
oVirt gerrit 74454 0 'None' MERGED engine: add shortcut in DefaultReadDao.get 2020-07-28 07:04:07 UTC
oVirt gerrit 74455 0 'None' MERGED engine: use vdsDynamicDao instead of vdsDao 2020-07-28 07:04:06 UTC
oVirt gerrit 74456 0 'None' ABANDONED engine: introduce VdsStaticDao.getHostIdsForClusterAndStatus 2020-07-28 07:04:06 UTC
oVirt gerrit 74457 0 'None' ABANDONED engine: avoid using VdsDao in NetworkClusterHelper 2020-07-28 07:04:06 UTC
oVirt gerrit 74458 0 'None' ABANDONED engine: introduce ClusterDao.getClusterByHostId 2020-07-28 07:04:06 UTC
oVirt gerrit 74459 0 'None' ABANDONED engine: avoid using VdsDao in NetworkImplementationDetailsUtils 2020-07-28 07:04:06 UTC
oVirt gerrit 74684 0 'None' ABANDONED engine: add namedParameterJdbcTemplate bean 2020-07-28 07:04:06 UTC
oVirt gerrit 74853 0 'None' MERGED engine: introduce VdsStaticDao.checkIfExistsHostThatMissesNetworkInCluster 2020-07-28 07:04:05 UTC
oVirt gerrit 74854 0 'None' MERGED engine: introduce VdsDynamicDao.checkIfExistsHostWithStatusInCluster 2020-07-28 07:04:05 UTC
oVirt gerrit 74855 0 'None' MERGED engine: avoid using HostNicUtils in NetworkClusterHelper 2020-07-28 07:04:05 UTC
oVirt gerrit 75056 0 'None' MERGED engine: introduce VdsStaticDao.checkIfExistsHostThatMissesNetworkInCluster 2020-07-28 07:04:05 UTC
oVirt gerrit 75057 0 'None' MERGED engine: introduce VdsDynamicDao.checkIfExistsHostWithStatusInCluster 2020-07-28 07:04:05 UTC
oVirt gerrit 75058 0 'None' MERGED engine: avoid using HostNicUtils in NetworkClusterHelper 2020-07-28 07:04:05 UTC

Description Douglas Schilling Landgraf 2017-03-10 16:29:01 UTC
Description of problem:

Operations (hosts only):

  - Edit host  (Comment field, Name field)
  - Hosts -> Network Interface -> Setup Network (Edit any field)

Operations can take from 10m to 40m


Version-Release number of selected component (if applicable):

RHEVM 4.0.6.3-0.1.el7

Comment 7 Dan Kenigsberg 2017-03-29 07:00:18 UTC
attempting to clone this first to 4.1.z

Comment 10 Michael Burman 2017-11-06 08:29:08 UTC
Please see https://bugzilla.redhat.com/show_bug.cgi?id=1436972#c14 on how to verify this bug, too.

Comment 11 Michael Burman 2017-11-06 08:37:20 UTC
When the big setup for this bug's verification is built, add an NGN host to it, to verify bug 1431188 too.

Comment 12 Mor 2017-11-30 08:22:48 UTC
Verified on:
Red Hat Virtualization Manager version: 4.2.0-0.5.master.el7

In order to verify it, I done the following steps:
1. 2 CPU cores, 8GB RAM on engine machine.
2. Setting up environment with 33 hosts and 50 hosts networks with VLAN attached to each of the hosts.
3. Setting up Power Management agent on each of the 50 hosts.
4. Changing host comment.
5. Editing existing host network and changing IP address settings.
6. Removing and adding host networks from specific host.

Comment 16 errata-xmlrpc 2018-05-15 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 17 Franta Kust 2019-05-16 13:06:17 UTC
BZ<2>Jira Resync

Comment 20 Daniel Gur 2019-08-28 12:57:53 UTC
sync2jira

Comment 21 Daniel Gur 2019-08-28 13:03:02 UTC
sync2jira

Comment 22 Daniel Gur 2019-08-28 13:13:20 UTC
sync2jira

Comment 23 Daniel Gur 2019-08-28 13:17:33 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.